=== added directory 'account_reconciliation'
=== added file 'account_reconciliation/__init__.py'
--- account_reconciliation/__init__.py	1970-01-01 00:00:00 +0000
+++ account_reconciliation/__init__.py	2011-11-17 16:27:59 +0000
@@ -0,0 +1,26 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import wizard
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'account_reconciliation/__openerp__.py'
--- account_reconciliation/__openerp__.py	1970-01-01 00:00:00 +0000
+++ account_reconciliation/__openerp__.py	2011-11-17 16:27:59 +0000
@@ -0,0 +1,41 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name" : "Account reconciliation wizard",
+    "version" : "0.1",
+    "description" : "Default reconciliation wizard adaptation for MSF",
+    "author" : "MSF - TeMPO Consulting",
+    "category" : "Accounting",
+    "depends" : ["base", "register_accounting"],
+    "init_xml" : [],
+    "update_xml" : [
+            "wizard/account_reconcile_view.xml",
+    ],
+    "demo_xml" : [],
+    "test": [],
+    "installable": True,
+    "active": False
+}
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added directory 'account_reconciliation/wizard'
=== added file 'account_reconciliation/wizard/__init__.py'
--- account_reconciliation/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ account_reconciliation/wizard/__init__.py	2011-11-17 16:27:59 +0000
@@ -0,0 +1,26 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import account_reconcile
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'account_reconciliation/wizard/account_reconcile.py'
--- account_reconciliation/wizard/account_reconcile.py	1970-01-01 00:00:00 +0000
+++ account_reconciliation/wizard/account_reconcile.py	2011-11-17 16:27:59 +0000
@@ -0,0 +1,78 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv
+from osv import fields
+from tools.translate import _
+
+class account_move_line_reconcile(osv.osv_memory):
+    _inherit = 'account.move.line.reconcile'
+    _name = 'account.move.line.reconcile'
+
+    _columns = {
+        'state': fields.selection([('total', 'Full Reconciliation'), ('partial', 'Partial Reconciliation')], string="State", 
+            required=True, readonly=True),
+    }
+
+    _defaults = {
+        'state': lambda *a: 'total',
+    }
+
+    def default_get(self, cr, uid, fields, context={}):
+        """
+        Add state field in res
+        """
+        # Some verifications
+        if not context:
+            context = {}
+        # Default value
+        res = super(account_move_line_reconcile, self).default_get(cr, uid, fields, context=context)
+        # Retrieve some value
+        data = self.trans_rec_get(cr, uid, context['active_ids'], context=context)
+        # Update res with state value
+        if 'state' in fields and 'state' in data:
+            res.update({'state': data['state']})
+        return res
+
+    def trans_rec_get(self, cr, uid, ids, context={}):
+        """
+        Add some values to res
+        - state: if write-off is 0.0, then 'total' else 'partial'
+        """
+        # Some verifications
+        if not context:
+            context = {}
+        if isinstance(ids, (int, long)):
+            ids = [ids]
+        # Prepare some values
+        res = super(account_move_line_reconcile, self).trans_rec_get(cr, uid, ids, context=context)
+        state = 'partial'
+        # Adapt state value
+        if 'writeoff' in res:
+            if res.get('writeoff') == 0.0:
+                state = 'total'
+        res.update({'state': state})
+        return res
+
+account_move_line_reconcile()
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'account_reconciliation/wizard/account_reconcile_view.xml'
--- account_reconciliation/wizard/account_reconcile_view.xml	1970-01-01 00:00:00 +0000
+++ account_reconciliation/wizard/account_reconcile_view.xml	2011-11-17 16:27:59 +0000
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+    <!-- Delete old Write-Off wizard -->
+        <delete id="account_move_line_reconcile_writeoff" model="ir.ui.view"/>
+
+    <!-- Delete Write-Off fields and button for reconcile wizard -->
+        <record id="inherit_view_account_move_line_reconcile_full" model="ir.ui.view">
+            <field name="name">inherit.account.move.line.full.form</field>
+            <field name="model">account.move.line.reconcile</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="account.view_account_move_line_reconcile_full"/>
+            <field name="arch" type="xml">
+                <data>
+                    <xpath expr="/form/separator[@string='Write-Off']" position="replace">
+                    </xpath>
+                    <field name="writeoff" position="replace"/>
+                    <xpath expr="/form/group[1]" position="replace">
+                        <group colspan="4" col="6">
+                            <label string ="" colspan="2"/>
+                            <button icon="gtk-cancel" special="cancel" string="Cancel"/>
+                            <button icon="terp-stock_effects-object-colorize" string="Reconcile" name="trans_rec_reconcile_full" type="object" default_focus="1" attrs="{'invisible': [('state', '!=', 'total')]}"/>
+                            <button icon="gtk-ok" string="Partial Reconcile" name="trans_rec_reconcile_partial_reconcile" type="object" attrs="{'invisible': [('state', '!=', 'partial')]}"/>
+                        </group>
+                        <field name="state" invisible="1"/>
+                    </xpath>
+                </data>
+            </field>
+        </record>
+
+    </data>
+</openerp>

=== modified file 'msf_profile/__openerp__.py'
--- msf_profile/__openerp__.py	2011-10-10 17:42:46 +0000
+++ msf_profile/__openerp__.py	2011-11-17 16:27:59 +0000
@@ -75,6 +75,7 @@
         "threshold_value",
         "analytic_distribution_invoice",
 #        "analytic_distribution_purchase",
+        "account_reconciliation",
     ],
     "update_xml": [
         "report.xml",

